%define major 1
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

%define buildpdf 0

Summary:	Extremely powerful file compression utility
Name:		bzip2
Version:	1.0.5
Release:	%mkrel 7
License:	BSD
Group:		Archiving/Compression
URL:		http://www.bzip.org/index.html
Source0:	http://www.bzip.org/%{version}/%{name}-%{version}.tar.bz2
Source1:	bzgrep
Source2:	bzme
Source3:	bzme.1
Patch0:		bzip2-1.0.5-makefile.patch
Requires:	mktemp
Requires:	%{libname} = %{version}-%{release}
%if %buildpdf
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
%endif
BuildRequires:	texinfo
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of statistical
compressors.

The command-line options are deliberately very similar to those of GNU Gzip,
but they are not identical.

%package -n %{libname}
Summary:	Libraries for developing apps which will use bzip2
Group:		System/Libraries

%description -n	%{libname}
Library of bzip2 functions, for developing apps which will use the
bzip2 library (aka libz2).

%package -n %{develname}
Summary:	Header files for developing apps which will use bzip2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname bzip2_ 1 -d} < 1.0.5-3
Provides:	%{mklibname bzip2_ 1 -d}

%description -n	%{develname}
Header files and static library of bzip2 functions, for developing apps which
will use the bzip2 library (aka libz2).

%prep

%setup -q
%patch0 -p1 -b .makefile

echo "lib = %{_lib}" >> config.in
echo "CFLAGS = %{optflags}" >> config.in
echo "LDFLAGS = %{ldflags}" >> config.in

cp %{SOURCE1} bzgrep
cp %{SOURCE2} bzme
cp %{SOURCE3} bzme.1

%build
%make -f Makefile-libbz2_so
%make

%if %buildpdf
texi2dvi --pdf manual.texi
%endif

%install
rm -rf %{buildroot}

%makeinstall_std

install -m0755 bzme %{buildroot}%{_bindir}/
install -m0755 bzgrep %{buildroot}%{_bindir}/
install -m0644 bzgrep.1 %{buildroot}%{_mandir}/man1/

cat > %{buildroot}%{_bindir}/bzless <<EOF
#!/bin/sh
%{_bindir}/bunzip2 -c "\$@" | %{_bindir}/less
EOF
chmod 755 %{buildroot}%{_bindir}/bzless
install -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man1/

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc README LICENSE CHANGES
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root,755)
%doc LICENSE
%{_libdir}/libbz2.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,755)
%doc *.html LICENSE
%if %buildpdf
%doc manual.pdf
%endif
%{_libdir}/libbz2.a
%{_libdir}/libbz2.la
%{_libdir}/libbz2.so
%{_includedir}/*.h


%changelog
* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-7mdv2010.1
+ Revision: 518988
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-6mdv2010.0
+ Revision: 413193
- rebuild

* Sat Jan 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-5mdv2009.1
+ Revision: 328087
- merge both patches into one
- make sure that -D_FILE_OFFSET_BITS=64 is always passed during compilation (mdvbz #46851)

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-4mdv2009.1
+ Revision: 316557
- use -fPIC
- really use %%{optflags} and %%{ldflags}

* Sun Jul 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-3mdv2009.0
+ Revision: 232090
- new library policy
- protect major
- spec file clean

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2009.0
+ Revision: 220495
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Mar 21 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.5-1mdv2008.1
+ Revision: 189334
- new version, 1.0.5, fixes a security hole

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-3mdv2008.1
+ Revision: 149066
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Thierry Vignaud <tv@mandriva.org> 1.0.4-2mdv2008.0
+ Revision: 64221
- rebuild


* Fri Jan 05 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 104592
- 1.0.4
- rediffed the makefile patch (now P0)
- nuked upstream fixes for CAN-2005-0953, CAN-2005-0758 and other sec holes
- rebuild
- Import bzip2

* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-6mdk
- sync with fedora (1.0.3-2.2.1)
- dropped the progress patch (P2) because it don't work with 
  large files, fixes #22262

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-5mdk
- rebuild for sparc

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-4mdk
- merge with the 1.0.3-1.2.20060mdk relese (CVE-2005-0953,CVE-2005-0758)

* Sat Jan 07 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.3-3mdk
- add BuildRequires: libtool

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.3-2mdk
- Rebuild

* Wed Jun 08 2005 Gtz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- update patch 1
- fix URLs
- new version

* Fri Feb 11 2005 Olivier Blin <oblin@mandrakesoft.com> 1.0.2-20mdk
- bzme: allow to force compression with -F option
  (#11183, patch from Michael Scherer)
- fix summary ended with dot

* Fri Sep 17 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-19mdk
- ship with bzdiff, bzmore
- automake build is evil here for a so small project

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-18mdk
- fix url

